Get a run
curl --request GET \
--url https://api.infragrid.ai/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "<string>",
"result": {},
"error_code": {},
"error_message": {},
"step_count": 123
}Runs
Get a run
Retrieve one Run by ID.
GET
/
v1
/
runs
/
{run_id}
Get a run
curl --request GET \
--url https://api.infragrid.ai/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "<string>",
"result": {},
"error_code": {},
"error_message": {},
"step_count": 123
}Requires
runs:read.
Send requests to https://api.infragrid.ai.
string
required
Run identifier returned by create.
Response
string
required
queued, running, completed, failed, or cancelled.object | null
required
Bounded result when available. Runbook step outputs appear under
result.outputs.string | null
required
Display-safe terminal error code.
string | null
required
Display-safe terminal error message.
integer
required
Number of completed execution steps.
A successful HTTP response can describe a
failed or cancelled run. Always inspect status.Last modified on August 28, 2026